import android.content.Context
import androidx.room.Room
import at.xaxa.ledger.data.db.LedgerDatabase

object DatabaseInstance {
    @Volatile
    private var INSTANCE: LedgerDatabase? = null

    fun getDatabase(context: Context): LedgerDatabase {
        return INSTANCE ?: synchronized(this) {
            val instance = Room.databaseBuilder(
                context.applicationContext,
                LedgerDatabase::class.java,
                "ledger_database"
            ).build()
            INSTANCE = instance
            instance
        }
    }
}